package com.bipt.intelligentapplicationorchestrationservice.exception;

public class DeployException extends RuntimeException{
    // 错误代码
    private int errorCode = 500;

    public DeployException(String message) {
        super(message);
    }

    public DeployException(String message, Throwable cause) {
        super(message, cause);
    }

    public DeployException(Throwable cause) {
        super(cause);
    }

    public DeployException(String message, int errorCode) {
        super(message);
        this.errorCode = errorCode;
    }

    public int getErrorCode() {
        return errorCode;
    }
}
