package com.bipt.intelligentapplicationorchestrationservice.mapper;

import com.bipt.intelligentapplicationorchestrationservice.pojo.GpuCreateDTO;
import com.bipt.intelligentapplicationorchestrationservice.pojo.GpuResponseDTO;
import com.bipt.intelligentapplicationorchestrationservice.pojo.GpuUpdateDTO;
import com.bipt.intelligentapplicationorchestrationservice.entity.GpuResource;
import org.mapstruct.Mapper;
import org.mapstruct.MappingConstants;

@Mapper(componentModel = "spring")
public interface GpuMapper {
    GpuResource toEntity(GpuCreateDTO dto);
    GpuResource toEntity(GpuUpdateDTO dto);
    GpuResource toEntity(GpuResponseDTO dto);
    GpuResponseDTO toDTO(GpuResource entity);
}
