package com.bipt.intelligentapplicationorchestrationservice.service;

import com.bipt.intelligentapplicationorchestrationservice.pojo.GpuCreateDTO;
import com.bipt.intelligentapplicationorchestrationservice.pojo.GpuResponseDTO;
import com.bipt.intelligentapplicationorchestrationservice.pojo.GpuUpdateDTO;
import com.bipt.intelligentapplicationorchestrationservice.pojo.ResponseVO;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

public interface GpuManageService {
    public ResponseVO createGpuResource(GpuCreateDTO dto);
    public ResponseVO deleteGpuResource(Long gpuId);
    public void updateGpuResource(GpuUpdateDTO entity);
    public List<GpuResponseDTO> searchByCriteria(String model, Integer memorySize, String ip);

    @Transactional
    ResponseVO createGpuResourceWithTrace(GpuCreateDTO dto);
}
